%global pypi_name wsaccel

%if 0%{?fedora} > 23
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        8%{?dist}
Summary:        Accelerator for ws4py and AutobahnPython

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# License is not yet included in the pypi release
Source1:        https://github.com/methane/wsaccel/blob/master/LICENSE
# Tests are not included in pypi release. Tests from the 0.6 tag don't work,
# get them from master instead.
# See: https://github.com/methane/wsaccel/issues/11
SOURCE2:        https://raw.githubusercontent.com/methane/wsaccel/master/tests/test_4.py

BuildRequires:  python2-devel
BuildRequires:  pytest


%description 
* WSAccell is WebSocket accelerator for AutobahnPython, ws4py and Tornado.
* WSAccell replaces per-byte process in them with Cython version.
* AutobahnPython beginning with version 0.6 automatically uses WSAccell if
  available.


%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Accelerator for ws4py and AutobahnPython
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
* WSAccell is WebSocket accelerator for AutobahnPython, ws4py and Tornado.
* WSAccell replaces per-byte process in them with Cython version.
* AutobahnPython beginning with version 0.6 automatically uses WSAccell if
  available.
%endif


%prep
%setup -qn %{pypi_name}-%{version}
cp -a %{SOURCE1} .
mkdir tests
cp -a %{SOURCE2} tests/


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
# Fix permission
chmod 755 %{buildroot}%{python2_sitearch}/%{pypi_name}/*.so

%if 0%{?with_python3}
%py3_install
chmod 755 %{buildroot}%{python3_sitearch}/%{pypi_name}/*.so
%endif


%check
%if 0%{?with_python3}
PYTHONPATH="$(echo build/lib*%{python3_version})" py.test-%{python3_version} tests
%endif
PYTHONPATH="$(echo build/lib*%{python2_version})" py.test-%{python2_version} tests


%files 
%license LICENSE
%doc README.rst
%{python2_sitearch}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitearch}/%{pypi_name}/

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/%{pypi_name}/
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 5 2015 Julien Enselme <jujens@jujens.eu> - 0.6.2-7
- Rebuilt for python 3.5

* Tue Aug 4 2015 Julien Enselme <jujens@jujens.eu> - 0.6.2-6
- Correct %%check section so tests pass on arm

* Fri Jul 31 2015 Julien Enseme <jujens@jujens.eu> - 0.6.2-5
- Fix tests in mock
- Use %%py2_build, %%py3build, %%py2_install and %%py2_install
- Make a python2 subpackage

* Thu Jul 30 2015 Julien Enselme <jujens@jujens.eu> - 0.6.2-4
- Add provides for python2-snappy
- Remove usage of python2 and python3 dirs

* Fri Jul 24 2015 Julien Enselme <jujens@jujens.eu> - 0.6.2-3
- Remove %%py3dir macro
- Add CFLAGS in %%build

* Sun Jul 19 2015 Julien Enselme <jujens@jujens.eu> - 0.6.2-2
- Add licence
- Launch tests

* Sat Jul 18 2015 Julien Enselme <jujens@jujens.eu> - 0.6.2-1
- Initial packaging
